Solved How to install samba 413 on FreeBSD 13R-p8

Hello.

I would like to install samba413 instead of samba412 on FreeBSD 13R-p8,but unfortunately I can't because a problem of wrong dependencies. Can someone help me to understand how to do that ? thanks.

Code:
#pkg remove samba412 :
Installed packages to be REMOVED:

dolphin: 21.12.3
fusefs-smbnetfs: 0.6.1_4
gvfs: 1.46.2_2
kio-extras: 21.12.3
samba412: 4.12.15_4
thunar: 4.16.11
xfce: 4.16
xfce4-desktop: 4.16.0

#pkg install samba413

Updating FreeBSD repository catalogue... FreeBSD repository is up to date. All repositories are up to date. Checking integrity... done (0 conflicting)
The following 1 package(s) will be affected (of 0 checked):
New packages to be INSTALLED: samba413: 4.13.17_1
Number of packages to be installed: 1
The process will require 75 MiB more space.
Proceed with this action? [y/N]: y

#pkg install xfce
Updating FreeBSD repository catalogue... FreeBSD repository is up to date. All repositories are up to date. The following 6 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
gvfs: 1.46.2_2

----> samba412: 4.12.15_4 thunar: 4.16.11 xfce: 4.16 xfce4-desktop: 4.16.0

as u can see xfce needs samba 412,but I want samba413. I need xfce so I can't install samba413.
 

SirDice

Administrator
Staff member
Administrator
Moderator
The only way to solve this issue is to build from ports and set DEFAULT_VERSIONS+= samba=4.13
 

cy@

Developer
A little late to the party but here is how to update samba412 to samba416 using pkg:

Code:
for i in $(pkg query -g %n 'samba412'); do pkg set -yn ${i}:samba416; done

Then either pkg delete samba412, then pkg install samba416 or simply pkg install samba416 and answer y to uninstall samba412.

Make sure your make.conf is configured accordingly with the below should you decide one random day to rebuild some ports that require samba from source, a safety valve.

Code:
DEFAULT_VERSIONS+=samba=4.16
 
A little late to the party but here is how to update samba412 to samba416 using pkg:

Code:
for i in $(pkg query -g %n 'samba412'); do pkg set -yn ${i}:samba416; done

Then either pkg delete samba412, then pkg install samba416 or simply pkg install samba416 and answer y to uninstall samba412.

Make sure your make.conf is configured accordingly with the below should you decide one random day to rebuild some ports that require samba from source, a safety valve.

Code:
DEFAULT_VERSIONS+=samba=4.16

# smbd -V
Version 4.13.17
# for i in $(pkg query -g %n 'samba413'); do pkg set -yn ${i}:samba416; done
Illegal variable name.
 
Make sure your make.conf is configured accordingly with the below should you decide one random day to rebuild some ports that require samba from source, a safety valve.


Code:

DEFAULT_VERSIONS+=samba=4.16

I'm not able to find the make.conf file. Do you know where is it ?
 
I've created a script named "script.sh" with this content inside :

Code:
for i in pkg query -g %n 'samba413'; do pkg set -yn ${i}:samba416; done

and then I ran it :

Code:
./script.sh

pkg: sqlite error while executing UPDATE packages SET name='samba416' WHERE id=4224 in file pkgdb.c:
2471: UNIQUE constraint failed: packages.name
 
Top